import { useContext } from "react";
import { TuitioContext } from "../contexts";

const useTuitioToken = () => {
  const state = useContext(TuitioContext);
  const token = state.token;

  const validate = (): boolean => {
    const token = state.token;
    if (!token) {
      return false;
    }

    const valid = new Date(token.validUntil) >= new Date();
    return valid;
  };

  const valid: boolean = validate();

  return { token, validate, valid };
};

export { useTuitioToken };
