import { initialState } from "./initialState";
import type { TuitioReactState, TuitioDispatchActions } from "./types";
import type { TuitioToken } from "@flare/tuitio-client";
import { Dispatch } from "react";

export const reducer = (state: TuitioReactState = initialState, action: any): TuitioReactState => {
  switch (action.type) {
    case "onLoginSuccess": {
      return {
        ...state,
        token: action.token,
        userName: action.userName
      };
    }
    case "onLogout": {
      const { configuration } = state;
      return {
        ...initialState,
        configuration
      };
    }
    default: {
      return state;
    }
  }
};

export const dispatchActions = (dispatch: Dispatch<any>): TuitioDispatchActions => ({
  onLoginSuccess: (token: TuitioToken, userName: string): void => dispatch({ type: "onLoginSuccess", token, userName }),
  onLogout: (): void => dispatch({ type: "onLogout" })
});
